import os
import pandas as pd
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns
import plotly.graph_objects as go
from plotly.subplots import make_subplots
from geopy.distance import geodesic
from utils.directoryUtil import DirectoryUtil as dir
from algorithmContract.confBusiness import *
from .dataIntegrityOfSecondAnalyst import DataIntegrityOfSecondAnalyst


class DataIntegrityOfMinuteAnalyst(DataIntegrityOfSecondAnalyst):
    """
    风电机组秒级数据完整度分析
    """

    def typeAnalyst(self):
        return "data_integrity_minute"